## barectf 2.2.0

=== doc/man/Makefile ===
# source
SRC = barectf

# config
ASCIIDOC_CONF = asciidoc.conf
XSL_FILES = \
	manpage.xsl \
	manpage-callouts.xsl \
	manpage-bold-literal.xsl \
	manpage-links.xsl
XSL_SRC_FILES = $(addprefix xsl/,$(XSL_FILES))

# tools
ASCIIDOC ?= asciidoc
XMLTO ?= xmlto
ADOC = $(ASCIIDOC) -f $(ASCIIDOC_CONF) -d manpage \
	-a barectf_version=$(shell grep '^__version__' ../../barectf/__init__.py | grep -Po '\d+\.\d+\.\d+(?:-\w+)?')
ADOC_DOCBOOK = $(ADOC) -b docbook
XTO = $(XMLTO) -m $(firstword $(XSL_SRC_FILES)) man

# recipes
.PHONY: all

all: $(SRC).1

$(SRC).1.xml: $(SRC).1.txt $(ASCIIDOC_CONF)
	$(ADOC_DOCBOOK) -o $@ $<

$(SRC).1: $(SRC).1.xml $(XSL_SRC_FILES)
	$(XTO) $<

.PHONY: clean

clean:
	rm -f $(SRC).1 $(SRC).1.xml

=== doc/examples/barectf-tracepoint/Makefile ===
.PHONY: all clean

all:
	make -f Makefile.barectf-linux-fs
	make -f Makefile.lttng-ust

clean:
	make -f Makefile.barectf-linux-fs clean
	make -f Makefile.lttng-ust clean

=== doc/examples/linux-fs-simple/Makefile ===
BARECTF ?= barectf
RM = rm -rf
MKDIR = mkdir

PLATFORM_DIR = ../../../platforms/linux-fs
CFLAGS = -O2 -Wall -pedantic -std=gnu99 -I$(PLATFORM_DIR) -I.

TARGET = linux-fs-simple
OBJS = $(TARGET).o barectf.o barectf-platform-linux-fs.o

.PHONY: all view

all: $(TARGET)

ctf:
	$(MKDIR) ctf

$(TARGET): $(OBJS)
	$(CC) -o $@ $^

ctf/metadata barectf-bitfield.h barectf.h barectf.c: config.yaml ctf
	$(BARECTF) $< -m ctf

barectf.o: barectf.c
	$(CC) $(CFLAGS) -c $<

barectf-platform-linux-fs.o: $(PLATFORM_DIR)/barectf-platform-linux-fs.c
	$(CC) $(CFLAGS) -c $<

$(TARGET).o: $(TARGET).c barectf.h barectf-bitfield.h
	$(CC) $(CFLAGS) -c $<

clean:
	$(RM) $(TARGET) $(OBJS) ctf
	$(RM) barectf.h barectf-bitfield.h barectf.c

=== doc/examples/parallella/Makefile ===
CROSS_COMPILE ?= e-

BARECTF ?= barectf
RM = rm -rf
MKDIR = mkdir
CC=$(CROSS_COMPILE)gcc
LD=$(CC)
OBJCOPY=$(CROSS_COMPILE)objcopy

ESDK=$(EPIPHANY_HOME)
ELDF=$(ESDK)/bsps/current/fast.ldf
PLATFORM_DIR = ../../../platforms/parallella
CFLAGS = -O2 -Wall -pedantic -std=c99 -I$(PLATFORM_DIR) -I.
LDFLAGS = -T $(ELDF) -le-lib

TARGET = parallella
OBJS = $(TARGET).o barectf.o barectf-platform-parallella.o

.PHONY: all view clean

all: $(TARGET).srec

ctf:
	$(MKDIR) ctf

$(TARGET): $(OBJS)
	$(LD) -o $@ $^ $(LDFLAGS)

$(TARGET).srec: $(TARGET)
	$(OBJCOPY) --srec-forceS3 --output-target srec $< $@

ctf/metadata barectf-bitfield.h barectf.h barectf.c: config.yaml ctf
	barectf $< -m ctf

barectf.o: barectf.c barectf.h barectf-bitfield.h
	$(CC) $(CFLAGS) -c $<

barectf-platform-parallella.o: $(PLATFORM_DIR)/barectf-platform-parallella.c
	$(CC) $(CFLAGS) -c $<

$(TARGET).o: $(TARGET).c barectf.h barectf-bitfield.h
	$(CC) $(CFLAGS) -c $<

clean:
	$(RM) $(TARGET) $(TARGET).srec $(OBJS) ctf
	$(RM) barectf.h barectf-bitfield.h barectf.c

=== platforms/parallella/consumer/Makefile ===
RM = rm -f
CC = $(CROSS_COMPILE)gcc
LD = $(CC)

ESDK=$(EPIPHANY_HOME)

CFLAGS = -O2 -std=c99 -I.. -I"$(ESDK)/tools/host/include"
LDFLAGS = -L"$(ESDK)/tools/host/lib" -le-hal

TARGET = consumer
OBJS = $(TARGET).o

.PHONY: all clean

all: $(TARGET)

$(TARGET): $(OBJS)
	$(LD) -o $@ $^ $(LDFLAGS)

$(TARGET).o: $(TARGET).c
	$(CC) $(CFLAGS) -c $<

clean:
	$(RM) $(TARGET) $(OBJS)

=== debian/changelog ===
barectf (2.2.0-1) unstable; urgency=medium

  * New upstream release. Closes: #819654

 -- Michael Jeanson <mjeanson@ubuntu.com>  Wed, 27 Jul 2016 17:41:29 -0400

## barectf 2.2.1

=== doc/examples/linux-fs-simple/Makefile ===
--- 
+++ 
@@ -1,9 +1,31 @@
+# The MIT License (MIT)
+#
+# Copyright (c) 2016 Philippe Proulx <pproulx@efficios.com>
+#
+# Permission is hereby granted, free of charge, to any person obtaining a copy
+# of this software and associated documentation files (the "Software"), to deal
+# in the Software without restriction, including without limitation the rights
+# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
+# copies of the Software, and to permit persons to whom the Software is
+# furnished to do so, subject to the following conditions:
+#
+# The above copyright notice and this permission notice shall be included in
+# all copies or substantial portions of the Software.
+#
+# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
+# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
+# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
+# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
+# THE SOFTWARE.
+
 BARECTF ?= barectf
 RM = rm -rf
 MKDIR = mkdir
 
 PLATFORM_DIR = ../../../platforms/linux-fs
-CFLAGS = -O2 -Wall -pedantic -std=gnu99 -I$(PLATFORM_DIR) -I.
+CFLAGS = -O2 -Wall -pedantic -I$(PLATFORM_DIR) -I.
 
 TARGET = linux-fs-simple
 OBJS = $(TARGET).o barectf.o barectf-platform-linux-fs.o
@@ -22,7 +44,7 @@
 	$(BARECTF) $< -m ctf
 
 barectf.o: barectf.c
-	$(CC) $(CFLAGS) -c $<
+	$(CC) $(CFLAGS) -ansi -c $<
 
 barectf-platform-linux-fs.o: $(PLATFORM_DIR)/barectf-platform-linux-fs.c
 	$(CC) $(CFLAGS) -c $<

=== debian/changelog ===
barectf (2.2.1-1) unstable; urgency=medium

  * [016e36a] New upstream version 2.2.1

 -- Michael Jeanson <mjeanson@ubuntu.com>  Tue, 15 Nov 2016 17:10:52 -0500

=== debian/control ===
Source: barectf
Maintainer: Michael Jeanson <mjeanson@ubuntu.com>
Uploaders: Jon Bernard <jbernard@debian.org>
Section: python
Priority: extra
Build-Depends: python3-setuptools, python3-all (>= 3.0), debhelper (>= 9),
 python3-yaml, python3-termcolor
Standards-Version: 3.9.8
X-Python3-Version: >= 3.0
Vcs-Git: https://anonscm.debian.org/git/collab-maint/barectf.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/barectf.git
Homepage: http://barectf.org

Package: python3-barectf
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
 python3-yaml, python3-termcolor, python3-setuptools
Description: C99 code generator to write native CTF
 barectf is a command-line utility which generates C99 code that is able to
 write native Common Trace Format (CTF) binary streams. The target audience
 is developers who need to trace bare metal systems (without an operating
 system). The code produced is pure C99 and can be lightweight enough to fit
 on a tiny microcontroller.

## barectf 2.3.0

=== requirements.txt ===
termcolor
pyyaml

=== doc/man/Makefile ===
--- 
+++ 
@@ -1,3 +1,25 @@
+# The MIT License (MIT)
+#
+# Copyright (c) 2016 Philippe Proulx <pproulx@efficios.com>
+#
+# Permission is hereby granted, free of charge, to any person obtaining a copy
+# of this software and associated documentation files (the "Software"), to deal
+# in the Software without restriction, including without limitation the rights
+# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
+# copies of the Software, and to permit persons to whom the Software is
+# furnished to do so, subject to the following conditions:
+#
+# The above copyright notice and this permission notice shall be included in
+# all copies or substantial portions of the Software.
+#
+# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
+# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
+# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
+# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
+# THE SOFTWARE.
+
 # source
 SRC = barectf

=== doc/examples/barectf-tracepoint/Makefile ===
--- 
+++ 
@@ -1,3 +1,25 @@
+# The MIT License (MIT)
+#
+# Copyright (c) 2014-2016 Philippe Proulx <pproulx@efficios.com>
+#
+# Permission is hereby granted, free of charge, to any person obtaining a copy
+# of this software and associated documentation files (the "Software"), to deal
+# in the Software without restriction, including without limitation the rights
+# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
+# copies of the Software, and to permit persons to whom the Software is
+# furnished to do so, subject to the following conditions:
+#
+# The above copyright notice and this permission notice shall be included in
+# all copies or substantial portions of the Software.
+#
+# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
+# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
+# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
+# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
+# THE SOFTWARE.
+
 .PHONY: all clean
 
 all:

=== doc/examples/linux-fs-simple/Makefile ===
--- 
+++ 
@@ -46,7 +46,7 @@
 barectf.o: barectf.c
 	$(CC) $(CFLAGS) -ansi -c $<
 
-barectf-platform-linux-fs.o: $(PLATFORM_DIR)/barectf-platform-linux-fs.c
+barectf-platform-linux-fs.o: $(PLATFORM_DIR)/barectf-platform-linux-fs.c barectf.h
 	$(CC) $(CFLAGS) -c $<
 
 $(TARGET).o: $(TARGET).c barectf.h barectf-bitfield.h

=== doc/examples/parallella/Makefile ===
--- 
+++ 
@@ -1,3 +1,25 @@
+# The MIT License (MIT)
+#
+# Copyright (c) 2015 Philippe Proulx <pproulx@efficios.com>
+#
+# Permission is hereby granted, free of charge, to any person obtaining a copy
+# of this software and associated documentation files (the "Software"), to deal
+# in the Software without restriction, including without limitation the rights
+# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
+# copies of the Software, and to permit persons to whom the Software is
+# furnished to do so, subject to the following conditions:
+#
+# The above copyright notice and this permission notice shall be included in
+# all copies or substantial portions of the Software.
+#
+# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
+# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
+# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
+# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
+# THE SOFTWARE.
+
 CROSS_COMPILE ?= e-
 
 BARECTF ?= barectf
@@ -10,7 +32,7 @@
 ESDK=$(EPIPHANY_HOME)
 ELDF=$(ESDK)/bsps/current/fast.ldf
 PLATFORM_DIR = ../../../platforms/parallella
-CFLAGS = -O2 -Wall -pedantic -std=c99 -I$(PLATFORM_DIR) -I.
+CFLAGS = -O2 -Wall -pedantic -I$(PLATFORM_DIR) -I.
 LDFLAGS = -T $(ELDF) -le-lib
 
 TARGET = parallella
@@ -33,7 +55,7 @@
 	barectf $< -m ctf
 
 barectf.o: barectf.c barectf.h barectf-bitfield.h
-	$(CC) $(CFLAGS) -c $<
+	$(CC) $(CFLAGS) -ansi -c $<
 
 barectf-platform-parallella.o: $(PLATFORM_DIR)/barectf-platform-parallella.c
 	$(CC) $(CFLAGS) -c $<

=== debian/changelog ===
barectf (2.3.0-4) unstable; urgency=medium

  * [61749fc] Fix autopkgtest depends field syntax

 -- Michael Jeanson <mjeanson@ubuntu.com>  Thu, 19 Oct 2017 11:08:57 -0400

barectf (2.3.0-3) unstable; urgency=medium

  * [beebc5c] Add self dependency to testsuite

 -- Michael Jeanson <mjeanson@ubuntu.com>  Wed, 18 Oct 2017 16:39:19 -0400

barectf (2.3.0-2) unstable; urgency=medium

  * [bcfab71] Add build-essential dependency to testsuite

 -- Michael Jeanson <mjeanson@ubuntu.com>  Wed, 18 Oct 2017 11:27:53 -0400

barectf (2.3.0-1) unstable; urgency=medium

  * [65bd229] Move to DEP-14 branch naming
  * [fe7e396] Change priority to optional, as per policy
  * [b7f85d8] Bump standards version to 4.1.1
  * [c5f2fbd] Add autopkgtest support
  * [0e63112] New upstream version 2.3.0

 -- Michael Jeanson <mjeanson@ubuntu.com>  Tue, 17 Oct 2017 17:53:11 -0400

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Maintainer: Michael Jeanson <mjeanson@ubuntu.com>
 Uploaders: Jon Bernard <jbernard@debian.org>
 Section: python
-Priority: extra
+Priority: optional
 Build-Depends: python3-setuptools, python3-all (>= 3.0), debhelper (>= 9),
  python3-yaml, python3-termcolor
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 X-Python3-Version: >= 3.0
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/barectf.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/barectf.git

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1
export PYBUILD_NAME=barectf

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: cd tests && ./test.bash
Depends: @, build-essential

=== debian/watch ===
version=2
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/barectf-$1\.tar\.gz/ \
  https://github.com/efficios/barectf/tags .*/v?(\d\S*)\.tar\.gz

## barectf 2.3.1

=== platforms/parallella/consumer/Makefile ===
--- 
+++ 
@@ -1,3 +1,25 @@
+# The MIT License (MIT)
+#
+# Copyright (c) 2015 Philippe Proulx <pproulx@efficios.com>
+#
+# Permission is hereby granted, free of charge, to any person obtaining a copy
+# of this software and associated documentation files (the "Software"), to deal
+# in the Software without restriction, including without limitation the rights
+# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
+# copies of the Software, and to permit persons to whom the Software is
+# furnished to do so, subject to the following conditions:
+#
+# The above copyright notice and this permission notice shall be included in
+# all copies or substantial portions of the Software.
+#
+# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
+# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
+# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
+# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
+# THE SOFTWARE.
+
 RM = rm -f
 CC = $(CROSS_COMPILE)gcc
 LD = $(CC)

=== debian/changelog ===
barectf (2.3.1-1) unstable; urgency=medium

  * [f147f82] New upstream version 2.3.1
  * [1913247] Bump dh compat to 10
  * [35cfb46] Add upstream metadata file
  * [cdb5493] Bump standards version to 4.3.0
  * [d1e0890] Add source examples

 -- Michael Jeanson <mjeanson@debian.org>  Thu, 04 Apr 2019 14:31:28 -0400

barectf (2.3.0-5) unstable; urgency=medium

  * [b77fbb9] Switched my maintainer email to @debian.org
  * [d0d4be5] Moved VCS to salsa.debian.org
  * [178f390] Drop X-Python3-Version
  * [d82c1e1] Bump standard to 4.1.4, no changes necessary
  * [21a763f] Add dh-python to builddeps
  * [f44c932] Use secure URI in debian copyright
  * [940280f] Use salsa canonical uri in VCS-Browser

 -- Michael Jeanson <mjeanson@debian.org>  Tue, 03 Jul 2018 18:13:35 -0400

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: barectf
-Maintainer: Michael Jeanson <mjeanson@ubuntu.com>
+Maintainer: Michael Jeanson <mjeanson@debian.org>
 Uploaders: Jon Bernard <jbernard@debian.org>
 Section: python
 Priority: optional
-Build-Depends: python3-setuptools, python3-all (>= 3.0), debhelper (>= 9),
- python3-yaml, python3-termcolor
-Standards-Version: 4.1.1
-X-Python3-Version: >= 3.0
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/barectf.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/barectf.git
+Build-Depends: python3-setuptools, python3-all (>= 3.0), debhelper (>= 10~),
+ python3-yaml, python3-termcolor, dh-python
+Standards-Version: 4.3.0
+Vcs-Git: https://salsa.debian.org/debian/barectf.git
+Vcs-Browser: https://salsa.debian.org/debian/barectf
 Homepage: http://barectf.org
 
 Package: python3-barectf

=== debian/rules ===
--- 
+++ 
@@ -6,3 +6,5 @@
 %:
 	dh $@ --with python3 --buildsystem=pybuild
 
+override_dh_installexamples:
+	dh_installexamples -X.gitignore

## barectf 3.0.1

=== debian/changelog ===
barectf (3.0.1-2) unstable; urgency=medium

  [ Sergio Durigan Junior ]
  * [a8b1fbd] d/t/control: Disable tests on s390x.

 -- Michael Jeanson <mjeanson@debian.org>  Sun, 07 Aug 2022 12:47:33 -0400

barectf (3.0.1-1) unstable; urgency=medium

  * [cf0b924] Add Salsa CI configuration
  * [5fd90ab] Bump watch file version to 4
  * [602daaf] New upstream version 3.0.1
  * [ce27f69] Move to poetry-core build system
  * [1edac64] Update upstream metadata
  * [d2837af] Move to debhelper 13
  * [6af6959] Add removed manpage
  * [57c1dfa] Update d/copyright

 -- Michael Jeanson <mjeanson@debian.org>  Mon, 11 Apr 2022 17:29:57 -0400

## barectf 3.1.1

=== tests/tracing/support/basic-extra-pc-ft-members/Makefile ===
# The MIT License (MIT)
#
# Copyright (c) 2016-2020 Philippe Proulx <pproulx@efficios.com>
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.

CFLAGS += -O0 -g -Wall -pedantic -Wno-unused-function
TARGET = test
OBJS = $(TARGET).o barectf.o test-platform.o

$(TARGET): $(OBJS)
	$(CC) -o $@ $(LDFLAGS) $^

barectf.o: barectf.c
	$(CC) $(CFLAGS) -ansi -c $<

=== debian/changelog ===
barectf (3.1.1-1) unstable; urgency=medium

  * [5c206f3] New upstream version 3.1.1
  * [3a23c57] Remove patch merged upstream

 -- Michael Jeanson <mjeanson@debian.org>  Mon, 12 Dec 2022 10:54:03 -0500

## barectf 3.1.2

=== examples/linux-fs-simple/Makefile ===
# The MIT License (MIT)
#
# Copyright (c) 2016 Philippe Proulx <pproulx@efficios.com>
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.

BARECTF ?= barectf
RM = rm -rf
MKDIR = mkdir

PLATFORM_DIR = ../../platforms/linux-fs
CFLAGS = -O2 -Wall -pedantic -I$(PLATFORM_DIR) -I.

TRACE_DIR = trace
TARGET = linux-fs-simple
OBJS = $(TARGET).o barectf.o barectf-platform-linux-fs.o

.PHONY: all

all: $(TARGET)

$(TRACE_DIR):
	$(MKDIR) $(TRACE_DIR)

$(TARGET): $(OBJS)
	$(CC) -o $@ $^

$(TRACE_DIR)/metadata barectf-bitfield.h barectf.h barectf.c: config.yaml $(TRACE_DIR)
	$(BARECTF) $< -m $(TRACE_DIR)

barectf.o: barectf.c
	$(CC) $(CFLAGS) -ansi -c $<

barectf-platform-linux-fs.o: $(PLATFORM_DIR)/barectf-platform-linux-fs.c barectf.h
	$(CC) $(CFLAGS) -c $<

$(TARGET).o: $(TARGET).c barectf.h barectf-bitfield.h
	$(CC) $(CFLAGS) -c $<

clean:
	$(RM) $(TARGET) $(OBJS) $(TRACE_DIR)
	$(RM) barectf.h barectf-bitfield.h barectf.c

=== debian/changelog ===
barectf (3.1.2-3) unstable; urgency=medium

  * [ae3ea0e] Adjust deprecation ignore list for pytest 8.1.1 (Closes: #1063951)

 -- Michael Jeanson <mjeanson@debian.org>  Mon, 25 Mar 2024 15:32:39 -0400

barectf (3.1.2-2) unstable; urgency=medium

  * [2375fb4] Disable pytest8 deprecation warnings (Closes: #1063951)
    - Also (Closes: #1066742) built with pytest8
  * [06b29a2] Bump standard to 4.6.2, no changes necessary

 -- Michael Jeanson <mjeanson@debian.org>  Fri, 15 Mar 2024 15:55:53 -0400

barectf (3.1.2-1) unstable; urgency=medium

  * [fe00aa5] New upstream version 3.1.2

 -- Michael Jeanson <mjeanson@debian.org>  Mon, 12 Jun 2023 16:03:58 -0400

=== debian/control ===
Source: barectf
Maintainer: Michael Jeanson <mjeanson@debian.org>
Uploaders: Jon Bernard <jbernard@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dh-python,
 pybuild-plugin-pyproject,
 python3-all (>= 3.6),
 python3-jinja2 (>= 2.11),
 python3-jsonschema (>= 3.2),
 python3-poetry-core,
 python3-pytest <!nocheck>,
 python3-pytest-xdist <!nocheck>,
 python3-setuptools,
 python3-termcolor (>= 1.1),
 python3-yaml (>= 5.3)
Rules-Requires-Root: no
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/debian/barectf.git
Vcs-Browser: https://salsa.debian.org/debian/barectf
Homepage: https://barectf.org

Package: python3-barectf
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: C99 code generator to write native CTF
 barectf is a command-line utility which generates C99 code that is able to
 write native Common Trace Format (CTF) binary streams. The target audience
 is developers who need to trace bare metal systems (without an operating
 system). The code produced is pure C99 and can be lightweight enough to fit
 on a tiny microcontroller.

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 #export DH_VERBOSE = 1
 export PYBUILD_NAME=barectf
+export PYBUILD_OPTION=--test-pytest
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: pytest-3
Depends: @, build-essential, python3-pytest, python3-pytest-xdist
# Upstream tests don't work on big-endian architectures.
Architecture: !s390x

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/barectf-$1\.tar\.gz/ \
  https://github.com/efficios/barectf/tags .*/v?(\d\S*)\.tar\.gz
